Skip to content

Submit NPS score

POST
/api/v1/feedback/nps
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/feedback/nps \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "page_context": "example", "score": 1 }'

Submit an NPS score (0-10). Returns 429 if within 14-day cooldown.

Media typeapplication/json
SubmitNpsRequest

Request body for submitting an NPS score.

Attributes: score: NPS score (0-10). page_context: Page/route where NPS was submitted.

object
page_context
required
Page Context

Page/route context

string
>= 1 characters
score
required
Score

NPS score (0-10)

integer
<= 10
Examplegenerated
{
"page_context": "example",
"score": 1
}

Successful Response

Media typeapplication/json
Response Submit Nps Api V1 Feedback Nps Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}